Bug 952387 (CVE-2013-1537) - CVE-2013-1537 OpenJDK: remote code loading enabled by default (RMI, 8001040)
Summary: CVE-2013-1537 OpenJDK: remote code loading enabled by default (RMI, 8001040)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1537
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 950067
TreeView+ depends on / blocked
 
Reported: 2013-04-15 20:33 UTC by Tomas Hoger
Modified: 2019-09-29 13:02 UTC (History)
3 users (show)

Fixed In Version: icedtea6 1.11.10, icedtea6 1.12.5, icedtea7 2.3.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-02 15:37:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 22:43:48 UTC
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 22:43:40 UTC
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:10:43 UTC
Red Hat Product Errata RHSA-2013:0758 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-11-13 15:57:42 UTC
Red Hat Product Errata RHSA-2013:0770 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-04-24 21:57:30 UTC
Red Hat Product Errata RHSA-2013:0822 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:13:34 UTC
Red Hat Product Errata RHSA-2013:0823 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:10:04 UTC
Red Hat Product Errata RHSA-2013:0855 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2013-11-15 00:12:20 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Tomas Hoger 2013-04-15 20:33:09 UTC
RMI implementation in OpenJDK uses property java.rmi.server.useCodebaseOnly, which controls whether automatic loading of classes from other sources than local CLASSPATH and location specified in the java.rmi.server.codebase property is permitted.  This property previously defaulted to false, allowing dynamic class downloading.  This could allow an attacker to make RMI server or registry to execute arbitrary untrusted code.

It was demonstrated that this can be used in combination with another Java sandbox bypass flaw to execute code in the remote rmiregistry or GlassFish Server:

http://seclists.org/fulldisclosure/2013/Feb/18
http://www.security-explorations.com/en/SE-2012-01-details.html
http://www.security-explorations.com/materials/se-2012-01-rmi.zip

This update changes the default value of the java.rmi.server.useCodebaseOnly property to true.

More details on various RMI properties can be found in:

http://docs.oracle.com/javase/7/docs/technotes/guides/rmi/javarmiproperties.html

Comment 1 Tomas Hoger 2013-04-16 20:53:59 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in Oracle Java SE 7u21 and 6u45.

Comment 2 Tomas Hoger 2013-04-17 11:43:57 UTC
This change is explicitly noted in the release notes:

http://www.oracle.com/technetwork/java/javase/7u21-relnotes-1932873.html#rmichanges

  From this release, the RMI property java.rmi.server.useCodebaseOnly is set
  to true by default. In previous releases the default value was false.

  This change of default value may cause RMI-based applications to break
  unexpectedly. The typical symptom is a stack trace that contains a
  java.rmi.UnmarshalException containing a nested
  java.lang.ClassNotFoundException.

  For more information, see RMI Enhancements.

Additional details are covered by the following "RMI Enhancements" document:

http://docs.oracle.com/javase/7/docs/technotes/guides/rmi/enhancements-7.html

Comment 3 Tomas Hoger 2013-04-17 14:32:02 UTC
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/096ed306159f

Comment 4 Tomas Hoger 2013-04-17 17:00:19 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/f098e2297ff1

Comment 5 errata-xmlrpc 2013-04-17 18:45:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 6 errata-xmlrpc 2013-04-17 18:47:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 7 errata-xmlrpc 2013-04-18 18:25:37 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:0758 https://rhn.redhat.com/errata/RHSA-2013-0758.html

Comment 8 errata-xmlrpc 2013-04-18 18:28:02 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 9 errata-xmlrpc 2013-04-24 17:59:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0770 https://rhn.redhat.com/errata/RHSA-2013-0770.html

Comment 11 errata-xmlrpc 2013-05-14 17:59:25 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0823 https://rhn.redhat.com/errata/RHSA-2013-0823.html

Comment 12 errata-xmlrpc 2013-05-14 18:03:37 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html

Comment 13 errata-xmlrpc 2013-05-22 18:43:55 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0855 https://rhn.redhat.com/errata/RHSA-2013-0855.html

Comment 14 errata-xmlrpc 2013-10-23 16:40:11 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 15 errata-xmlrpc 2013-10-23 16:51:24 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.